      SUBROUTINE MAP_STEEL_NITSUB(C,SI,MN,NI,MO,CR,V,AL,TI,CO,NB,TA,
     &                            W,ZR,CU,NITPPM,CURR,NW,IFAIL)
C
C Copyright Dr. H. K. D. H. Bhadeshia, University of Cambridge
C December 1987
C Version 1.0
C
      DOUBLE PRECISION C,SI,MN,NI,MO,CR,V,AL,TI,CO,NB,TA,W,ZR,CU
      DOUBLE PRECISION NITPPM,CURR,NW
      DOUBLE PRECISION C1,C2,C3,C4,C5,C6,C7,F
C
      C1 = C
      C2 = SI
      C3 = MN
      C4 = NI
      C5 = MO
      C6 = CR
      C7 = V
      IFAIL = 0
c
C Put upper limits on concentrations used in the calculations:
C
      IF (C  .GT. 0.2) C1 = 0.2
      IF (SI .GT. 0.8) C2 = 0.8
      IF (MN .GT. 2.0) C3 = 2.0
      IF (NI .GT. 3.0) C4 = 3.0
      IF (MO .GT. 1.0) C5 = 1.0
      IF (CR .GT. 1.0) C6 = 1.0
      IF (V  .GT. 0.5) C7 = 0.5
C
C Set IFAIL to 1 if the input concentrations lie outside the limits for
C this calculation:
C
      IF (C .GT.0.2 .OR. SI.GT.0.8 .OR. MN.GT.2.0 .OR. NI.GT.3.0 .OR.
     &    MO.GT.1.0 .OR. CR.GT.1.0 .OR. V .GT.0.5) IFAIL = 1
C
C CALL MAP_STEEL_NITR to calculate the activity coefficient F:
C
      CALL MAP_STEEL_NITR(C1,C2,C3,C4,C5,C6,C7,F,AL,TI,CO,NB,TA,W,ZR,CU)
C
C Calculate the nitrogen concentration:
C
      NITPPM = (12.6141 - 0.0082*CURR)*(NW**0.5)/F
      IF (NITPPM .LT. 0.0) NITPPM = 0.0
      RETURN
      END
